Bug 481473 - Coredumps
Coredumps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 07:54 EST by Zdenek Kabelac
Modified: 2015-03-03 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 01:19:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2009-01-25 07:54:55 EST
Description of problem:

I've noticed several times this coredump backtrace on my system:

#0  IA__g_logv (log_domain=0x7fd5c0480c46 "GLib", log_level=G_LOG_LEVEL_ERROR, 
    format=0x7fd5c0488b48 "%s: failed to allocate %lu bytes", args1=0x7fd5ba4b3c80) at gmessages.c:503
503		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
(gdb) bt
#0  IA__g_logv (log_domain=0x7fd5c0480c46 "GLib", log_level=G_LOG_LEVEL_ERROR, 
    format=0x7fd5c0488b48 "%s: failed to allocate %lu bytes", args1=0x7fd5ba4b3c80) at gmessages.c:503
#1  0x00007fd5c0435f43 in IA__g_log (log_domain=0x7fd5b4000020 "", log_level=-1074124880, format=0x45 <Address 0x45 out of bounds>)
    at gmessages.c:517
#2  0x00007fd5c04344bc in IA__g_realloc (mem=0x0, n_bytes=4294967294) at gmem.c:174
#3  0x00007fd5c20cb032 in attribute_init (attr=0xfa8680, attr_type=<value optimized out>, value=0x45, length=0, 
    allocator=0x7fd5b4000930) at gp11-attributes.c:45
#4  0x00007fd5c20cbf21 in initialize_from_valist (allocator=<value optimized out>, type=0, va=0x7fd5ba4b3dd0) at gp11-attributes.c:748
#5  0x00007fd5c20cee8a in gp11_module_enumerate_objects (self=0xfab0a0, func=0x43d120 <load_identity_v2_attributes>, user_data=0x45)
    at gp11-module.c:985
#6  0x000000000043d007 in op_request_identities (call=0x7fd5ba4b3fa0) at gck-ssh-agent-ops.c:659
#7  0x000000000043aef5 in run_client_thread (data=0xfaad28) at gck-ssh-agent.c:164
#8  0x00007fd5c0455734 in g_thread_create_proxy (data=0xf983b0) at gthread.c:635
#9  0x00007fd5c01df6da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fd5bff4c44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()


Version-Release number of selected component (if applicable):
gnome-keyring-2.25.5-1.fc11.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2009-01-30 01:28:53 EST
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=569769
Comment 2 Matthias Clasen 2009-02-05 01:19:22 EST
Should be fixed in 2.25.90

Note You need to log in before you can comment on or make changes to this bug.